Hardware and Software Requirements

Server Software Requirements

  1. Supported operating systems:
    • Windows Server 2008 (including R2)
    • Windows Server 2012 (including R2)
    • Windows Server 2016 (Desktop Experience)
    • Windows Vista (Ultimate or Business)
    • Windows 7
    • Windows 8 (including 8.1)
    • Windows 10
  2. If using a database other than the default built-in SQLite database:
    • Microsoft SQL Server 2005, 2008 (including R2), 2012, 2014, or 2016. Express Edition or better.
    • PostgreSQL 9.0 or higher
  3. Microsoft .NET Framework 4.5 is required (installed for you)
  4. Supported versions of IIS or IIS Express:
    • IIS Express Version 8 (installed for you)
    • IIS Express Versions 9 or 10
    • IIS 8+ (is possible, but is not Supported officially)

Note: Pleasant Password Server does not support Windows 2003

Server Hardware Requirements

With the release of version 7, PPS requires a 64-bit processor; use version 6 for 32-bit processors.

  1. Small installation (<1k entries, 1-10 users):
    • Dual-Core 1.6 Ghz or higher
    • 2 GB RAM
    • 500 MB free disk space
  2. Medium installation (1k-10k entries, 10-100 users):
    • Dual-Core 2 Ghz or higher
    • 4 GB RAM
    • 1 GB free disk space
  3. Large installation (10k+ entries, 100+ users):
    • Quad-Core 2 Ghz or higher
    • 8 GB RAM
    • 2 GB free disk space

Other Considerations

  • Pleasant Password Server will operate in a virtualised environment (VMWare or Hyper-V).
  • You can run Pleasant Password Server on the same machine as other applications. Pleasant Password Server will require sufficient RAM and CPU to operate normally, however (see the next point),
  • For maximum security, you should install Pleasant Password Server on a dedicated system or at least on a system with applications serving the same level of security/sensitivity. Access to these systems should then be restricted. While all sensitive data in Pleasant Password Server is either securely hashed or encrypted, it is a best practice for security to limit any opportunities for foul play.

KeePass Client Requirements

Supported operating systems:

  • Windows Vista, 7, 8, 8.1, 10

Prerequisites:

  • Microsoft .NET Framework ≥ 4.5
  • IIS Express / IIS 8+
Tag page
You must login to post a comment.